/*++

Copyright (c) 1997-1998 Microsoft Corporation

Module Name:

    VNDRLIST.H

Abstract:

    This header file contains a list of all currently known USB Vendor IDs
    the vendor name associated with each Vendor ID

Environment:

    Kernel & user mode

Revision History:

    04-25-97 : created

--*/

#ifndef   __VNDRLIST_H__
#define   __VNDRLIST_H__

//
// Vendor ID structure
//
typedef struct {
    USHORT  usVendorID;
    PCHAR   szVendor;
} USBVENDORID, *PUSBVENDORID;

//
// This list built from information abtained on Nov-17-1998 from
// http://www.usb.org/developers/index.html
//
// This information has not been independently verified and no claims
// are made here as to its accuracy.
//

USBVENDORID USBVendorIDs[] =
{
    {0x0506, "3Com Corporation"},
    {0x0678, "ACARD Technology Corp."},
    {0x0422, "ADI Systems Inc."},
    {0x06E1, "ADS Technologies, Inc."},
    {0x0659, "AETHRA"},
    {0x06BD, "AGFA-Gevaert NV"},
    {0x0527, "ALTRA"},
    {0x0464, "AMP Incorporated"},
    {0x05F6, "AOC International"},
    {0x03E8, "AOX Inc."},
    {0x0523, "ATEN GMBH"},
    {0x0557, "ATEN International Co. Ltd."},
    {0x057C, "AVM GmbH"},
    {0x06D6, "Aashima Technology B.V."},
    {0x0402, "Acer Labs Inc."},
    {0x04A5, "Acer Peripherals Inc."},
    {0x0502, "Acer, Inc."},
    {0x061C, "Act Labs, Ltd."},
    {0x03F3, "Adaptec, Inc."},
    {0x0459, "Adobe Systems, Inc."},
    {0x0522, "Advanced Connectek USA Inc."},
    {0x059D, "Advanced Input Devices"},
    {0x0438, "Advanced Micro Devices"},
    {0x0677, "Aiwa Co., Ltd."},
    {0x0529, "Aladdin Knowledge Systems"},
    {0x0620, "Alaris, Inc."},
    {0x06B9, "Alcatel Telecom"},
    {0x058F, "Alcor Micro, Inc."},
    {0x044E, "Alps Electric Co."},
    {0x04D2, "Altec Lansing Technologies, Inc."},
    {0x0774, "AmTRAN Technology Co., Ltd."},
    {0x046B, "American Megatrends"},
    {0x051D, "American Power Conversion"},
    {0x0456, "Analog Devices, Inc."},
    {0x0547, "Anchor Chips Inc."},
    {0x05EF, "Anko Electronic CO., Ltd."},
    {0x04ED, "Annabooks"},
    {0x0624, "Apex PC Solutions, Inc."},
    {0x066E, "Apex Semiconductor, Inc."},
    {0x05AC, "Apple Computer"},
    {0x0706, "Ariel Corporation"},
    {0x071E, "Ariston Technologies"},
    {0x0556, "Asahi Kasei Microsystems Co., Ltd"},
    {0x06BE, "Asia Microelectronic Development, Inc."},
    {0x069A, "Askey Computer Corporation"},
    {0x03EB, "Atmel Corporation"},
    {0x060D, "Auctor Corporation"},
    {0x0755, "Aureal Semiconductor"},
    {0x0680, "Avance Logic, Inc."},
    {0x0638, "Avision, Inc."},
    {0x0509, "Aztech Systems Ltd"},
    {0x0576, "BAFO/Quality Computer Accessories"},
    {0x0600, "Barco Display Systems"},
    {0x046E, "Behavior Tech. Computer"},
    {0x050D, "Belkin Components"},
    {0x0703, "Bencent Tzeng Industry Co., Ltd."},
    {0x0514, "Berg Electronics, Inc."},
    {0x0614, "Bio-Rad Laboratories"},
    {0x06C4, "Bizlink International Corporation"},
    {0x06FD, "Boston Acoustics"},
    {0x05D1, "Brain Boxes"},
    {0x0607, "Bridge Information Co.,LTD"},
    {0x04F9, "Brother International Corporation"},
    {0x0517, "Butterfly Communications"},
    {0x074C, "C-C-C Group PLC"},
    {0x0423, "CATC"},
    {0x044C, "CCL/ITRI"},
    {0x0453, "CMD Technology"},
    {0x0653, "CNF Inc."},
    {0x05EC, "COM21, Inc."},
    {0x055E, "CTX Opto-Electronics Corp."},
    {0x050B, "Cable System International"},
    {0x0768, "Camtel Technology Corp."},
    {0x04A9, "Canon Inc. (Kosugi Office)"},
    {0x052C, "Canon Information Systems, Inc."},
    {0x05F0, "Canopus Co., Ltd."},
    {0x0491, "Capetronic"},
    {0x07CF, "Casio Computer Co., Ltd."},
    {0x0723, "Centillium Technology"},
    {0x073A, "Chaplet Systems, Inc."},
    {0x05C8, "Cheng Uei Precision Industry Co., Ltd"},
    {0x046A, "Cherry GMBH"},
    {0x0618, "Chia Shin Technology Corp."},
    {0x04F2, "Chicony Electronics Co., Ltd."},
    {0x0564, "Chinon Industries, Inc."},
    {0x0639, "Chrontel, Inc."},
    {0x0698, "Chuntex (CTX)"},
    {0x0429, "Cirrus Logic"},
    {0x06D4, "Cisco Systems"},
    {0x0508, "Clarion Co., Ltd."},
    {0x0777, "Comda Enterprise Corporation"},
    {0x070D, "Comoss Electronic Co., Ltd."},
    {0x04B7, "Compal Electronics, Inc."},
    {0x06DC, "Compeye Corporation"},
    {0x0710, "Connect Tech Inc."},
    {0x041E, "Creative Labs"},
    {0x052A, "Crescent Heart Software"},
    {0x0634, "Crucial Technology/Micron Semiconductor Products"},
    {0x049B, "Curtis Connections"},
    {0x0764, "Cyber Power System, Inc."},
    {0x04B4, "Cypress Semiconductor"},
    {0x05EE, "Cytechinfo Inc."},
    {0x0501, "DDK Electronics, Inc."},
    {0x06D1, "Daewoo Electronics Co Ltd"},
    {0x04FA, "Dallas Semiconductor"},
    {0x047C, "Dell Computer Corp."},
    {0x05DD, "Delta Electronics Inc."},
    {0x076D, "Denso Corporation"},
    {0x0766, "Destech Solutions, Inc"},
    {0x05F2, "Dexin Corporation, Ltd."},
    {0x05B5, "Dialogic Corp"},
    {0x05C5, "Digi International Inc."},
    {0x04A0, "Digital Equipment Corp."},
    {0x05BA, "Digital Persona, Inc."},
    {0x074E, "Digital Stream Corporation"},
    {0x06A5, "Divio"},
    {0x06A4, "Doowell Ltd."},
    {0x0650, "Dynapro Systems"},
    {0x04FF, "E-CMOS Corp."},
    {0x06BB, "EDA Inc."},
    {0x060C, "EEH Datalink Gmbh"},
    {0x05CC, "ELSA AG"},
    {0x0749, "EVer Electronics Corp."},
    {0x067C, "Efficient Networks, Inc."},
    {0x071D, "Eicon Technology Corporation"},
    {0x056E, "Elecom Co., Ltd."},
    {0x04E7, "Elo TouchSystems"},
    {0x066D, "Entrega Technologies Inc."},
    {0x03F8, "Epson Research Center"},
    {0x042A, "Ericsson Austrian, AG"},
    {0x0442, "Ericsson Inc."},
    {0x070E, "Excel Cell Electronic Co., Ltd."},
    {0x0592, "Exide Electronics"},
    {0x0518, "EzKEY Corp."},
    {0x05EB, "FFC Limited"},
    {0x0779, "Fairchild Semiconductor"},
    {0x05B1, "First International Computer, Inc."},
    {0x0585, "FlashPoint Technology, Inc."},
    {0x063D, "Fong Kai Industrial Co., Ltd."},
    {0x077C, "Forward Electronics Co., Ltd."},
    {0x05B0, "Fountain Technologies, Inc"},
    {0x0489, "Foxconn / Hon Hai"},
    {0x05E5, "Fuji Electric Co., Ltd."},
    {0x05A2, "Fuji Film Microdevices Co. Ltd."},
    {0x04CB, "Fuji Photo Film Co., Ltd."},
    {0x0550, "Fuji Xerox Co., Ltd."},
    {0x2FB2, "Fujitsu Limited"},
    {0x04C5, "Fujitsu Ltd."},
    {0x06AC, "Fujitsu PC Corporation"},
    {0x0407, "Fujitsu Personal Systems, Inc."},
    {0x0430, "Fujitsu Takamisawa America"},
    {0x0403, "Future Technology Devices International Limited"},
    {0x04F8, "FuturePlus Systems"},
    {0x06FE, "Gallant Computer, Inc."},
    {0x0443, "Gateway 2000"},
    {0x05E3, "Genesys Logic Inc."},
    {0x03F1, "Genoa Technology"},
    {0x0656, "Glory Mark Electronic Ltd."},
    {0x0690, "Golden Bridge Electric Co., Ltd."},
    {0x0732, "Golfuu Co., Ltd."},
    {0x065F, "Good Way Industrial Co, Ltd & GWC Technology Inc."},
    {0x0654, "Granite Microsystems, Inc."},
    {0x06AD, "Greatland Electronics Taiwan Ltd."},
    {0x06FA, "HSD S.r.L"},
    {0x06C5, "Hagenuk, GmbH"},
    {0x0693, "Hagiwara Sys-Com Co., Ltd."},
    {0x0661, "Hamamatsu Photonics K.K."},
    {0x05FC, "Harman International"},
    {0x06AF, "Harting, Inc. of North America"},
    {0x0504, "Hayes Microcomputer Products"},
    {0x06DE, "Heisei Electronics Co. Ltd."},
    {0x03F0, "Hewlett Packard"},
    {0x045B, "Hitachi, Ltd (2)"},
    {0x04A4, "Hitachi, Ltd."},
    {0x0640, "Hitex Development Tools"},
    {0x067D, "Hohner Corp."},
    {0x04D9, "Holtek Microelectronics Inc."},
    {0x10AC, "Honeywell, Inc."},
    {0x0507, "Hosiden Corporation"},
    {0x04DC, "Huan Hsin Co., SDN.BHD"},
    {0x069D, "Hughes Network Systems"},
    {0x0435, "Hyundai Electronics America"},
    {0x04BB, "I-O Data Device, Inc."},
    {0x06EF, "I.A.C. Geometrische Ingenieurs B.V."},
    {0x04B3, "IBM Corporation"},
    {0x051F, "IO Systems Inc. fomerly Elite Electronics, Inc."},
    {0x0685, "ISDN*tek"},
    {0x0431, "ITAC Systems, Inc."},
    {0x04D1, "ITT Canon"},
    {0x04E1, "Iiyama North America Inc."},
    {0x0718, "Imation Corp."},
    {0x0563, "Immersion Corporation"},
    {0x058C, "In Focus Systems"},
    {0x05AB, "In-System Design"},
    {0x0776, "Inalways Corporation"},
    {0x06C6, "Infowave Wireless Messaging Inc."},
    {0x06CD, "InnoSys Inc."},
    {0x0648, "Inside Out Networks"},
    {0x053C, "Institut of Microelectronic & Mechatronic Systems"},
    {0x062C, "Institute for Information Industry"},
    {0x8086, "Intel Corporation"},
    {0x059E, "Intelligent Instrumentation"},
    {0x0571, "Interex, Inc."},
    {0x0560, "Interface Co., Ltd."},
    {0x066B, "Intermart Systems, Inc."},
    {0x067E, "Intermec"},
    {0x0713, "Interval Research Corp."},
    {0x0537, "Inventec Corporation"},
    {0x059B, "Iomega Corporation"},
    {0x0613, "Ithaca Peripherals"},
    {0x0631, "JUJO Electronics Corporation"},
    {0x0601, "Jazz Hipster Corporation"},
    {0x0604, "Jean Co, Ltd."},
    {0x076F, "Jhen Vei Enterprise Co., Ltd"},
    {0x064C, "Ji-Haw Industrial Co., Ltd"},
    {0x060F, "Joinsoon Electronics Mfg. Co.,LTD."},
    {0x050F, "KC Technology Inc."},
    {0x0674, "KME Mouse Electronic Enterprise Co., Ltd."},
    {0x0458, "KYE Systems Corp.(Mouse Systems)"},
    {0x0662, "Kansai Electric Co., Ltd."},
    {0x05E9, "Kawasaki LSI"},
    {0x05C1, "Kawasaki Steel"},
    {0x05C0, "Keil Software"},
    {0x05E6, "Keithley Instruments"},
    {0x047D, "Kensington"},
    {0x03F9, "KeyTronic Corp."},
    {0x040A, "Kodak Co."},
    {0x04C8, "Konica Corporation"},
    {0x056F, "Korea Data Systems Co., Ltd."},
    {0x076E, "Kuan Tech Enterprise Co., Ltd."},
    {0x0482, "Kyocera Tech. Development, Inc."},
    {0x0734, "LASAT Communications A/S"},
    {0x043E, "LG Electronics USA Inc."},
    {0x05B4, "LG Semicon Co., Ltd."},
    {0x04D4, "LSI Logic Corporation"},
    {0x059F, "LaCie"},
    {0x0672, "Labtec Inc."},
    {0x0747, "Labway Corporation"},
    {0x05FF, "LeCroy Corporation"},
    {0x0694, "Lego Group"},
    {0x06BF, "Leoco Corporation"},
    {0x043D, "Lexmark International Inc."},
    {0x0651, "Likom Technology Sdn. Bhd."},
    {0x077B, "Linksys"},
    {0x04CA, "Lite-On Technology Corp."},
    {0x0623, "Littlefuse, Inc."},
    {0x046D, "Logitech Inc."},
    {0x0775, "Longshine Electronics Corp."},
    {0x0516, "Longwell Electronics"},
    {0x047E, "Lucent Microelectronics Technologies"},
    {0x0445, "Lucent Technologies"},
    {0x05D0, "Lunar Corporation"},
    {0x040E, "MCCI"},
    {0x0463, "MGE UPS Systems"},
    {0x06F2, "Machkey International (USA)"},
    {0x0711, "Magic Control Technology Corp."},
    {0x062E, "Mainsuper Enterprises Co., Ltd."},
    {0x05B7, "Medianix Semiconductor, Inc."},
    {0x0411, "Melco, Inc."},
    {0x04D6, "Mentor Graphics (CAE Technology)"},
    {0x0635, "Methode Electronics, Inc."},
    {0x058D, "Micrel Semiconductor"},
    {0x06A7, "MicroStore, Inc."},
    {0x0596, "MicroTouch Systems Inc."},
    {0x0496, "Micron Electronics"},
    {0x074D, "Micronas Intermetall GmbH"},
    {0x045E, "Microsoft Corporation"},
    {0x05DA, "Microtek International Inc."},
    {0x074A, "Ming Fortune Industry Co., Ltd."},
    {0x0686, "Minolta Co., Ltd."},
    {0x03ED, "Mitel Corporation"},
    {0x06D3, "Mitsubishi Electric Corporation"},
    {0x0452, "Mitsubishi Electronics America, Inc."},
    {0x03EE, "Mitsumi"},
    {0x042F, "Molex Far East South Mgmt Pte Ltd"},
    {0x0427, "Motorola Electronics Taiwan Ltd."},
    {0x06FC, "Motorola Semiconductor Products Sector/US"},
    {0x0425, "Motorola Semiconductors HK, Ltd."},
    {0x06E0, "Multi-Tech Systems, Inc."},
    {0x04A8, "Multivideo Labs, Inc."},
    {0x04CF, "Myson Technology Inc."},
    {0x06B2, "N*ABLE Technologies, Inc."},
    {0x0404, "NCR Corporation"},
    {0x0409, "NEC"},
    {0x0446, "NMB Technologies, Inc."},
    {0x0440, "Nanao Corporation"},
    {0x3923, "National Instruments"},
    {0x0400, "National Semiconductor"},
    {0x050E, "Neon Technology, Inc."},
    {0x0525, "Netchip Technology Inc."},
    {0x06D7, "Network Computing Devices (NCD)"},
    {0x063F, "New Technology Cable Ltd."},
    {0x06CA, "Newer Technology, Inc."},
    {0x04F7, "Newnex Technology Corp."},
    {0x0598, "Nigata Canotec Co., Inc."},
    {0x04B0, "Nikon Corporation"},
    {0x0626, "Nippon Systems Development Co., Ltd."},
    {0x061E, "Nissei Electric Co."},
    {0x0573, "Nogatech Ltd."},
    {0x058A, "Nohau Corporation"},
    {0x04A6, "Nokia Display Products"},
    {0x0421, "Nokia Mobile Phones"},
    {0x045D, "Nortel"},
    {0x04EB, "Northstar Systems, Inc"},
    {0x0603, "Novatek Microelectronics Corp."},
    {0x0621, "ODU-Steckverbindungssysteme GmbH & Co. KG"},
    {0x0590, "OMRON Corporation"},
    {0x0746, "ONKYO Corporation"},
    {0x03FB, "OPTi Inc."},
    {0x0669, "Oce' Printing Systems GmbH"},
    {0x06BC, "Oki Data Corporation"},
    {0x070A, "Oki Electric Industry Co., Ltd"},
    {0x04D7, "Oki Semiconductor"},
    {0x05A9, "OmniVision Technologies, Inc."},
    {0x06F1, "Opcode Systems Inc."},
    {0x065A, "Optoelectronics Co., Ltd."},
    {0x05A4, "Ortek Technology, Inc."},
    {0x06EB, "PC Expert Tech. Co., Ltd."},
    {0x04E9, "PC-Tel Inc."},
    {0x05F3, "PI Engineering, Inc"},
    {0x05F9, "PSC Scanning, Inc."},
    {0x0583, "Padix Co. Ltd."},
    {0x04B1, "Pan International"},
    {0x04DA, "Panasonic (Matsushita)"},
    {0x06DB, "Paradyne"},
    {0x076C, "Partner Tech"},
    {0x0565, "Peracom Networks, Inc."},
    {0x068A, "Pertech Inc."},
    {0x0575, "Philips Creative Display Solutions"},
    {0x0552, "Philips Monitors"},
    {0x05D6, "Philips Semiconductors, CICT"},
    {0x04CC, "Philips Semiconductors"},
    {0x041A, "Phoenix Technologies, Ltd."},
    {0x06DA, "Phoenixtec Power Co., Ltd."},
    {0x06B8, "Pixela Corproation"},
    {0x047F, "Plantronics, Inc."},
    {0x0546, "Polaroid Corporation"},
    {0x074B, "Polestar Tech. Corp."},
    {0x068B, "Potrans International, Inc."},
    {0x05CB, "PowerVision Technologies Inc."},
    {0x053A, "Preh Werke Gmbh & Co. KG"},
    {0x0461, "Primax Electronics"},
    {0x0594, "Princeton Graphic Systems"},
    {0x062A, "ProVision Technology, Inc."},
    {0x06AE, "Professional Interactive Media Centre"},
    {0x067B, "Prolific Technology, Inc."},
    {0x061B, "Promptus Communications, Inc."},
    {0x05B6, "Proxima Corporation"},
    {0x05C7, "Qtronix Corp"},
    {0x05C6, "Qualcomm, Inc"},
    {0x061D, "Quatech, Inc."},
    {0x057F, "Quickshot Technology Inc."},
    {0x05BD, "RAFI GmbH & Co."},
    {0x0584, "RATOC System Inc."},
    {0x05F7, "RFC Distribution(s) PTE Ltd."},
    {0x04B5, "ROHM LSI Systems USA, LLC"},
    {0x04B9, "Rainbow Technologies, Inc."},
    {0x05BE, "Raychem Corporation"},
    {0x063E, "RealMedia Technology, Inc."},
    {0x05E4, "Red Wing Corporation"},
    {0x05CA, "Ricoh Company Ltd."},
    {0x0572, "Rockwell Semiconductor Systems"},
    {0x0582, "Roland Corporation"},
    {0x0606, "Royal Information Electronics Co., Ltd."},
    {0x05CE, "SICAN Gmbh"},
    {0x06C8, "SIIG, Inc."},
    {0x0609, "SMK Manufacturing Inc."},
    {0x0709, "SSL"},
    {0x05FD, "STD Manufacturing Ltd."},
    {0x0483, "STMicroelectronics"},
    {0x06A3, "Saitek PLC"},
    {0x05A5, "Sampo Technology Corp."},
    {0x055D, "Samsung Electro-Mechanics Co."},
    {0x0492, "Samsung SemiConductor, Inc."},
    {0x0781, "SanDisk Corporation"},
    {0x0405, "Sand Microelectronics, Inc."},
    {0x077A, "Sankyo Seiki Mfg. Co., Ltd."},
    {0x0538, "Santa Cruz Operation"},
    {0x0474, "Sanyo Electric Co. Ltd."},
    {0x0473, "Sanyo Information Business Co., Ltd."},
    {0x0588, "Sapien Design"},
    {0x04CE, "ScanLogic Corporation"},
    {0x04B8, "Seiko Epson Corp."},
    {0x0619, "Seiko Instruments Inc."},
    {0x05C9, "Semtech Corporation"},
    {0x044A, "Shamrock Technology Co., Ltd."},
    {0x057D, "Shark Multimedia Inc."},
    {0x04DD, "Sharp Corporation"},
    {0x051C, "Shuttle Inc."},
    {0x04E6, "Shuttle Technology"},
    {0x044D, "Siemens Nixdorf AG"},
    {0x0681, "Siemens Private Communication Systems"},
    {0x058B, "Siemens Semiconductor"},
    {0x05FA, "Siemens Telecommunications Systems Limited"},
    {0x0636, "Sierra Imaging, Inc."},
    {0x0658, "Sigma Designs, Inc."},
    {0x05CD, "Silicom LTD."},
    {0x053D, "Silicon Architect"},
    {0x065E, "Silicon Graphics"},
    {0x0457, "Silicon Integrated Systems Corp."},
    {0x047B, "Silitek Corp."},
    {0x062F, "Sin Sheng Terminal & Machine Inc."},
    {0x076A, "Smart Technology Enablers, Inc."},
    {0x0497, "Smile International, Inc."},
    {0x06BA, "Smooth Cord & Connector Co., Ltd."},
    {0x0524, "Sola Electronics"},
    {0x054C, "Sony Corporation"},
    {0x0655, "Space Shuttle Hi-Fi Wire & Cable Industry Co, Ltd."},
    {0x05A8, "Spacetec IMC Corporation"},
    {0x0424, "Standard Microsystems Corp.(2)"},
    {0x0652, "Stargate Solutions, Inc."},
    {0x0748, "Strong Man Enterprise Co., Ltd."},
    {0x0472, "Sun Microsystems"},
    {0x073B, "Suncom Technologies"},
    {0x05CF, "Sung Forn Co. LTD."},
    {0x0701, "Supercomal Wire & Cable SDN. BHD."},
    {0x0769, "Surecom Technology Corp."},
    {0x064E, "Suyin Corporation"},
    {0x0754, "SyQuest Technology"},
    {0x0417, "Symbios, Inc."},
    {0x05E0, "Symbol Technologies"},
    {0x06CB, "Synaptics Inc."},
    {0x0745, "Syntech Information Co., Ltd."},
    {0x05E1, "Syntek Design Technology Inc."},
    {0x06AA, "Sysgration Ltd."},
    {0x0532, "Systech Corporation"},
    {0x06F0, "T.N.C Industrial Co., Ltd."},
    {0x04BF, "TDK Corporation"},
    {0x0644, "TEAC Corporation"},
    {0x0475, "TECO Infor-ion System"},
    {0x0660, "TSAY-E International Inc."},
    {0x062D, "Taiwan Tai-Hao Enterprise Co., Ltd."},
    {0x0628, "Tasking Software Inc."},
    {0x04CD, "Tatung Co. Of America"},
    {0x063B, "Taugagreining HF"},
    {0x06C9, "Taxan (Europe) Ltd."},
    {0x06D8, "Technical Marketing Research, Inc."},
    {0x063A, "Techwin Corporation"},
    {0x0657, "Tekcon American Corp."},
    {0x052B, "Tekom Technologies, Inc"},
    {0x0699, "Tektronix, Inc."},
    {0x0676, "Teles AG"},
    {0x0562, "Telex Communications Inc."},
    {0x06CC, "Terayon Communication Systems"},
    {0x0451, "Texas Instruments"},
    {0x03E9, "Thesys Microelectronics"},
    {0x05D7, "Thomas & Betts"},
    {0x069B, "Thomson Consumer Electronics"},
    {0x044F, "ThrustMaster, Inc."},
    {0x0625, "TiMedia Technology Co., Ltd."},
    {0x06E6, "Tiger Jet Network, Inc."},
    {0x0767, "TokheimCorporation"},
    {0x04EC, "Tokyo Electron Limited"},
    {0x0663, "Topmax Electronic Co., Ltd."},
    {0x06A2, "Topro Technology Inc."},
    {0x06D5, "Toshiba America Electronic Components, Inc."},
    {0x046C, "Toshiba"},
    {0x066A, "Total Technologies, Ltd."},
    {0x0611, "Totoku Electric Co., LTD."},
    {0x065B, "Tracewell Systems"},
    {0x0782, "Trackerball"},
    {0x060E, "Transmonde Technologies, Inc."},
    {0x06D0, "Traveling Software, Inc."},
    {0x064D, "TriTech Microelectronics Ltd"},
    {0x058E, "Tripath Technology Inc."},
    {0x047A, "USAR Systems Incorporated"},
    {0x05A1, "USC Corporation"},
    {0x05D8, "Ultima Electronics Corp."},
    {0x0646, "Umax Data Systems, Inc."},
    {0x0540, "UniAccess AB"},
    {0x05F5, "Unixtar Technology Inc."},
    {0x076B, "Utimaco Safeware AG"},
    {0x05A3, "VAutomation Inc."},
    {0x0642, "VIA Medical Corporation"},
    {0x040D, "VIA Technologies, Inc."},
    {0x0553, "VLSI Vision Ltd."},
    {0x0726, "Vanguard International Semiconductor-America"},
    {0x04F1, "Victor Company of Japan, Limited"},
    {0x0589, "Victron"},
    {0x0733, "ViewQuest Technologies, Inc."},
    {0x0543, "ViewSonic Corporation"},
    {0x067F, "Virata Ltd."},
    {0x0602, "Vista Imaging Inc."},
    {0x0454, "Vobis Microcomputer AGO"},
    {0x0778, "Volex, Inc."},
    {0x056A, "WACOM Co., Ltd."},
    {0x064F, "WIBU-Systems AG"},
    {0x0531, "Wacom Technology Corp."},
    {0x05D2, "Wave Systems Corp."},
    {0x069E, "Welcat Inc."},
    {0x0536, "Welch Allyn Inc."},
    {0x0649, "Weli Science Co., Ltd"},
    {0x077F, "Well Excellent & Most Corp."},
    {0x040B, "Weltrend Semiconductor"},
    {0x06A9, "Westell"},
    {0x064B, "White Mountain DSP, Inc."},
    {0x0645, "Who? Vision Systems, Inc."},
    {0x0416, "Winbond Electronics Corp."},
    {0x06F6, "Wintrend Technology Co., Ltd."},
    {0x0641, "Woods Industries, Inc."},
    {0x0668, "WordWand"},
    {0x060A, "Worthington Data Solutions, Inc."},
    {0x0765, "X-Rite Incorporated"},
    {0x071C, "Xionics Document Technologies, Inc."},
    {0x0545, "Xirlink, Inc."},
    {0x057B, "Y-E Data, Inc."},
    {0x05AD, "Y.C.Cable U.S.A., Inc"},
    {0x0499, "Yamaha Corporation"},
    {0x063C, "Yamaichi Electronics Co., Ltd. (Sakura)"},
    {0x0717, "ZNK Corporation"},
    {0x0629, "Zida Technologies Limited"},
    {0x0595, "Zoran Microelectronics Ltd."},
    { 0x00, "End"}
};

#endif /* __VNDRLIST_H__ */

