//////////////////////////////////////////////////////////////////////////////
//	Copyright (C) 1998 Chris Cant, PHD Computer Consultants Ltd
/////////////////////////////////////////////////////////////////////////////


#ifdef __cplusplus
extern "C"
{
#endif

#include <wdm.h>
#if DBG
#include <wmilib.h>
#include <wmistr.h>
#endif // DBG

#include "..\guid.h"

/////////////////////////////////////////////////////////////////////////////

extern UNICODE_STRING HiImWdmRegistryPath;

/////////////////////////////////////////////////////////////////////////////

typedef struct _WDM_DEVICE_EXTENSION
{
	PDEVICE_OBJECT	pdo;
	PDEVICE_OBJECT	fdo;
	PDEVICE_OBJECT	NextDevice;
	UNICODE_STRING	ifSymLinkName;
#if DBG
    WMILIB_CONTEXT	WmiLibInfo;
#endif // DBG
} WDM_DEVICE_EXTENSION, *PWDM_DEVICE_EXTENSION;

/////////////////////////////////////////////////////////////////////////////
// Forward declarations of local functions

VOID WdmUnload(IN PDRIVER_OBJECT DriverObject);

NTSTATUS WdmPower(	IN PDEVICE_OBJECT fdo,
					IN PIRP Irp);

NTSTATUS WdmPnp(	IN PDEVICE_OBJECT fdo,
					IN PIRP Irp);

NTSTATUS WdmAddDevice(	IN PDRIVER_OBJECT DriverObject,
						IN PDEVICE_OBJECT pdo);

NTSTATUS WdmCreate(	IN PDEVICE_OBJECT fdo,
					IN PIRP Irp);

NTSTATUS WdmClose(	IN PDEVICE_OBJECT fdo,
					IN PIRP Irp);
 
NTSTATUS WdmWrite(	IN PDEVICE_OBJECT fdo,
					IN PIRP Irp);

NTSTATUS WdmRead(	IN PDEVICE_OBJECT fdo,
					IN PIRP Irp);

NTSTATUS WdmDeviceControl(	IN PDEVICE_OBJECT fdo,
							IN PIRP Irp);

/////////////////////////////////////////////////////////////////////////////

void RegisterWmi(	IN PDEVICE_OBJECT fdo);

void DeregisterWmi(	IN PDEVICE_OBJECT fdo);

NTSTATUS WdmSystemControl(	IN PDEVICE_OBJECT fdo,
							IN PIRP Irp);

NTSTATUS SetWmiDataItem(	IN PDEVICE_OBJECT PDevObj, IN PIRP Irp,
							IN ULONG GuidIndex, IN ULONG InstanceIndex,
							IN ULONG DataItemId,
							IN ULONG BufferSize, IN PUCHAR PBuffer);

NTSTATUS SetWmiDataBlock(	IN PDEVICE_OBJECT PDevObj, IN PIRP Irp,
							IN ULONG GuidIndex, IN ULONG InstanceIndex,
							IN ULONG BufferSize,
							IN PUCHAR PBuffer);

NTSTATUS QueryWmiDataBlock(	IN PDEVICE_OBJECT PDevObj, IN PIRP Irp,
							IN ULONG GuidIndex, 
							IN ULONG InstanceIndex,
							IN ULONG InstanceCount,
							IN OUT PULONG InstanceLengthArray,
							IN ULONG OutBufferSize,
							OUT PUCHAR PBuffer);

NTSTATUS QueryWmiRegInfo(	IN PDEVICE_OBJECT PDevObj, OUT PULONG PRegFlags,
							OUT PUNICODE_STRING PInstanceName,
							OUT PUNICODE_STRING *PRegistryPath,
							OUT PUNICODE_STRING MofResourceName,
							OUT PDEVICE_OBJECT *Pdo);

/////////////////////////////////////////////////////////////////////////////
#ifdef __cplusplus
}
#endif
